Bug 1290184 - CFME 5.2.4.2 - UI never returns when attempting to sort 3200 datastores by freespace
CFME 5.2.4.2 - UI never returns when attempting to sort 3200 datastores by fr...
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance (Show other bugs)
5.3.0
x86_64 Linux
high Severity high
: GA
: 5.5.2
Assigned To: dmetzger
Dave Johnson
: ZStream
Depends On: 1182777
Blocks: 1110527
  Show dependency treegraph
 
Reported: 2015-12-09 15:05 EST by John Prause
Modified: 2016-01-11 08:32 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1182777
Environment:
Last Closed: 2016-01-11 08:32:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 dmetzger 2015-12-10 14:09:39 EST
The underlying issue is the database cannot (at least is not presently) able to perform the filter for us and simply returns all the objects which leaves Ruby with a much larger (everything) set to process.

Currently the MIQ_Report code passes / copies the set of objects multiple times during processing which increases memory and cpu utilization.

Testing indicates the current (5.5) code filters ~1,000 datastores per second on an essentailly idle appliance with no memory constraint, thus page rendering time is approximately (# of objects / 1,000) per second best case.

The following filters are not performed within the database, thus can be expected to experience slowness at scale:

- % Free Space
- Total Provisioned Space
- Total Hosts
- Managed/Registered VMs
- Managed/Unregistered Vms
- Unmanaged VMs
Comment 3 dmetzger 2016-01-11 08:32:50 EST
Closing this 5.5.2 instance of this ticket as amy additional changes to improve the performance of the non-DB filtered options will require major changes to how we implement filtering. Unless there is memory contention on the appliance I do not expect the filtering performance to be a significant issue for customers.

I'm leaving the original (https://bugzilla.redhat.com/show_bug.cgi?id=1182777) ticket open for 5.6 as we evaluate changing the filtering model (leverage more filtering in the DB).

Note You need to log in before you can comment on or make changes to this bug.